diff --git a/.vimrc b/.vimrc
index a602a35..2db53fb 100644
--- a/.vimrc
+++ b/.vimrc
@@ -71,10 +71,8 @@ let groovy_allow_cpp_keywords = 1
 " nmap <Leader>gs wve"tywve"py'bopublic void set "ppbvUhxA("tpA "ppA) {	this."ppA = "ppA;}public "tpA get "ppbvUhxA() {	return this."ppA;}mb'a/private \w+\+ \w\+;ma
 nmap <Leader>jgs :let @t=''<CR>:let @n=''<CR>'a0v$:s/\v^\s*(private\|public\|protected)? ?(\w+(\<[^>]+\>)?) (\w+);/\=setreg('T', submatch(2))/n<CR>0v$:s/\v^\s*(private\|public\|protected)? ?(\w+(\<[^>]+\>)?) (\w+);/\=setreg('N', submatch(4))/n<CR>'bo<CR>public <ESC>"tpA get <ESC>"npbvUhxA() {<CR>	return this.<ESC>"npA;<CR>}<ESC><<o<CR>public void set <ESC>"npbvUhxA(<ESC>"tpA <ESC>"npA) {<CR>	this.<ESC>"npA = <ESC>"npA;<CR>}<ESC><<mb'anma
 
-" Clean un-used Java imports. Requires clean_imports.sh executable in the PATH.
-" clean_imports.sh should be a filter that reads in a filepath as the first 
-" argument and prints our the altered file contents on STDOUT.
-nmap <Leader>jci :w<CR>:%!clean_imports.sh %<CR>
+" Clean un-used Java imports.
+nmap <Leader>jci :UnusedImportsRemove<CR>
 
 " Format the file using java-file-formatter. java-file-formatter should be a
 " command that takes a file path as the first argument and either alters the
diff --git a/setup.sh b/setup.sh
index 9bb6946..0f7f607 100644
--- a/setup.sh
+++ b/setup.sh
@@ -20,6 +20,7 @@ git clone https://github.com/zah/nim.vim.git
 git clone https://github.com/tpope/vim-fugitive.git
 git clone https://github.com/isRuslan/vim-es6.git
 git clone https://github.com/airblade/vim-gitgutter.git
+git clone https://github.com:akhaku/vim-java-unused-imports.git
 ln -s /usr/share/lilypond/2.18.2/vim lilypond.vim
 
 # Setup ST
